LifecyclePhase (Mule ESB 2.2.1 API)
Keywords: org.mule.api.lifecycle.LifecyclePhase interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface LifecyclePhase

All Known Implementing Classes:
  ContainerManagedLifecyclePhase, DefaultLifecyclePhase, MuleContextDisposePhase, MuleContextInitialisePhase, MuleContextStartPhase, MuleContextStopPhase, NotInLifecyclePhase

    public interface LifecyclePhase

Encapsulates the notion of a lifecycle phase i.e. 'stop'. Implementations of this class are responsible for invoking the lifecycle phase on a set of objects and also for knowing which phases can preceed and go after it. This objects are configurable so that lifecycles can be customised. Note that users wouldn't normally customise the lifecycle of the server.

Field Summary
`static String` | `ALL_PHASES`

Method Summary
`void` | `addOrderedLifecycleObject(LifecycleObject lco)`
`void` | `applyLifecycle(Collection objects, String currentPhase)`
`void` | `applyLifecycle(Object o)`
`Class[]` | `getIgnoredObjectTypes()`
`Class` | `getLifecycleClass()`
`String` | `getName()`
`String` | `getOppositeLifecyclePhase()`
`Set` | `getOrderedLifecycleObjects()`
`Set` | `getSupportedPhases()`
`boolean` | `isPhaseSupported(String phase)`
`void` | `registerSupportedPhase(String phase)`
`void` | `removeOrderedLifecycleObject(LifecycleObject lco)`
`void` | `setIgnoredObjectTypes(Class[] ignorredObjectTypes)`
`void` | `setLifecycleClass(Class lifecycleClass)`
`void` | `setOrderedLifecycleObjects(Set orderedLifecycleObjects)`
`void` | `setSupportedPhases(Set supportedPhases)`

Field Detail

### ALL_PHASES

    static final String ALL_PHASES

See Also:
  Constant Field Values

Method Detail

### applyLifecycle

    void applyLifecycle(Collection objects,
                        String currentPhase)
                        throws MuleException

  Throws:
    `MuleException`

### addOrderedLifecycleObject

    void addOrderedLifecycleObject(LifecycleObject lco)

### removeOrderedLifecycleObject

    void removeOrderedLifecycleObject(LifecycleObject lco)

### getOrderedLifecycleObjects

    Set getOrderedLifecycleObjects()

### setOrderedLifecycleObjects

    void setOrderedLifecycleObjects(Set orderedLifecycleObjects)

### getIgnoredObjectTypes

    Class[] getIgnoredObjectTypes()

### setIgnoredObjectTypes

    void setIgnoredObjectTypes(Class[] ignorredObjectTypes)

### getLifecycleClass

    Class getLifecycleClass()

### setLifecycleClass

    void setLifecycleClass(Class lifecycleClass)

### getName

    String getName()

### getSupportedPhases

    Set getSupportedPhases()

### setSupportedPhases

    void setSupportedPhases(Set supportedPhases)

### registerSupportedPhase

    void registerSupportedPhase(String phase)

### isPhaseSupported

    boolean isPhaseSupported(String phase)

### applyLifecycle

    void applyLifecycle(Object o)
                        throws LifecycleException

  Throws:
    `LifecycleException`

### getOppositeLifecyclePhase

    String getOppositeLifecyclePhase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.